Footing locations and incline steps and ramps
Posts made by dukejazz
-
RE: [Plugin] Another Sketchup Plus update v1.5.4 Dec 29 2012
new
6/4/12
Another_Sketchup plus 1.4 Bata Project Editorfix timing issue w/dj_delay
rename some features to better fitting names
added scale and move tool
updated extension info to 1.4 Bata Project Editor -
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
Hi I working on a new Ver 1.2
The Bata
Ver 1.2 bata 2
is release on June 2-fix the intanglement issue to scale and move.
-easy menu to use to pin dimension to document.
-added more Extended read out:
-B-box,Center,Ratio
-B-box,Center
-B-box
-Center
-Ratio
-draw vector
-rename boxes
-given a xyz make a point +
WIP
-given a xyz delete a text note
bata had 37 downloads -
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
Download:
Ver 1.2 June 4 2012-release
-
RE: Given a [x,y,z] delete a text note. Need help, Solved
Its a new day and I tried the code again.
the code works!
Thanks
TIG on Fri Jun 01, 2012 6:35 am#first note written some min early.....
Sketchup.active_model.entities.add_text "Text note 1",(Geom::Point3d.new(x1,y1,z1))#-Given a [x,y,z] delete a text note.
#erase note 1
Sketchup.active_model.active_entities.to_a.each{|e|
e.erase! if e.is_a?(Sketchup::Text) and e.point==Geom::Point3d.new(x1,y1,z1)
}
#-Thus Given a [x,y,z] delete a text note...Solved by TIG#New note 2 written by it self
Sketchup.active_model.entities.add_text "Text note 2",(Geom::Point3d.new(x1,y1,z1))Ya! Ho!
-
RE: Given a [x,y,z] delete a text note. Need help, Solved
I thank your right
so I check my work
API notes has this space too?Entities.add_cpointSketchUp 6.0+
The add_cpoint method is used to create a construction point.model = Sketchup.active_model
entities = model.active_entities
point1 = Geom::Point3d.new (100,200,300)
constpoint = entities.add_cpoint point1
if (constpoint)
UI.messagebox constpoint
else
UI.messagebox "Failure"
endI used this in this form in my program
Sketchup.active_model.active_entities.add_cpoint Geom::Point3d.new (dj_x1[9],dj_x1[10],dj_x1[11])
edit for here
Sketchup.active_model.active_entities.add_cpoint Geom::Point3d.new (x,y,z)
you say
Sketchup.active_model.active_entities.add_cpoint Geom::Point3d.new(x,y,z)
both two form works.
Thus I will concude
Geom Classes allow a space
wild other Classes don't allowHere the correction.
Sketchup.active_model.active_entities.add_cpoint Geom::Point3d.new(x,y,z)
-
RE: Group difficult to select
Open outliner from the menus-window an select group in the pannel window
It's that way in 6,7,8,m2,m3 and ver 32 and 64
-
RE: Given a [x,y,z] delete a text note. Need help, Solved
My anser to question 1 is now solved:
Given a [x,y,z] make a point.
API
The position method is used to retrieve a Point3d used to create a construction point.Sketchup.active_model.active_entities.add_cpoint Geom;;Point3d.new (x,y,z)
Thanks for the hint TIG
-
RE: Given a [x,y,z] delete a text note. Need help, Solved
I was a early programmer in the 80's not bad at machine code,Assemble,fortran and basic. Then in Sept of this year I relize that ruby was easy to learn. I starting to pick at the API. I no expert I know about 10 to 15% at this point.
I will work in API index areas with code you have given me thanks
-
RE: Dialog Windows Flickering
I seen this when the groups and undo statemennts in programs keep adding rudly to the stacks (see open groups in outliner)then when I have 12 to 15 sketchup open during programming it flicker. Only way out is a hard crash. Then reboot. Whatch the mem use, must be a limit in grouping.... I use some sketchup.undo's to to close or group.explode to close groups when programs close.
-
Given a [x,y,z] delete a text note. Need help, Solved
I have a update going and I have two problems to solve for
scaleGroupFloat v1.2 bata
WIP
Is there a way in ruby code:
1-given a xyz make a point +2-given a xyz delete a text note
Need some help:
1- best I can do is to draw a [x,y,z] center point vector line.
2- I can make the note by [x,y,z] but, now I want to delete it by [x,y,z]ok
Here my codes for 1 and 2 so far1)Sketchup.active_model.entities.add_line([0,0,0],[x,y,z])
2)Sketchup.active_model.entities.add_text "a text note",(Geom::Point3d.new([x,y,z]))
I need some helpful hints please.
-
RE: Given a x,y,z location to move a selected group help! solved
Thank you, Sdmitch for your help
History
v1.1 May 27
-fix move iteration problemsscaleGroupFloat_dj Ver 1.1
Copyright 2012, May 27
DukeJazz: James Cochran
http://forums.sketchucation.com/viewtopic.php?f=323&t=45254&p=404860#p404860My final form
#sents
ss =Sketchup.active_model.selection
if ss.empty? then
UI.messagebox ("Please Select. a goup.");return
end
sents = [];ss.each{|e|sents.push(e)}#_API____Geom::move! new_transformation
entity_group=Sketchup.active_model.active_entities.add_group(sents)
Geom::Transformation.new [x1,y1,z1]
entity_group.move!(Geom::Transformation.new [x2,y2,z2])
entity_group.explode -
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
What can you do with this.
Scale and move group 3d entities:
A Example:
I download two things from google warehouseA boy with his toy,
And a full size car
I rescaled the car and moved its [x,y,z]Now I have a boy with his toys
Anything large can be made smaller to a size of a atom, or a atom resized to a moon. -
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
A [x,y,z] mover;
Group Entity Translational moves can move to origin or any other [x,y,z] vector location
How its done in one simple steps.
- select, Enter x_y_z axes points and hit Enter
You shold be able to move anything, anywhere, very easily.
-
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
Here's an immediate uses condiction
The easiest way to say this:
If your are a Manufacture Engineer and a customer came to you with a part block that measured 0.024 in size and is mil to 10000 of a in. and he tell you that he want the same standards to the part your going to make him. And he want you to do this on the fly... and your are new to this company... and not trained to use their cad system... and your job will be on the line. You need to fine the points centers to set up the laser to cut the tool out. So you reach the easy to use google sketchup and it can't help either...because the block dimension are to small...to the fining of laser block centers Help! well who need this job any way.
Results:
Google sketchup way 0.024000 - sad, no job
Plugin scaleGroupFloat way 0.02400001 *1.0_in - happiness, job done, no job lostNow the resons why I wrote this scaleGroupFloat 3d scale resizer:
After reading some one hundred fifthy reseason on why Sketchup is Inacurrate???
I dicided to fix some of themInacurrate???
by seasdes on Thu Mar 22, 2012 11:48 pm
"There are posts scattered post throughout the net stating that Sketchup is innacurate. Is there substance in this claim or are they talking through their ear**?"Other reasons
-basic principles of surveying,
-mashtab 4: reads things ok but unable to resize to small units
-Is there any hope of making something visually noticeable about terrains or is it just too flat to to see -
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
I found this problem by nickchun
Stuck already!
by nickchun on Thu May 17, 2012 7:35 amHi,
I have just started to build a DC for a cupboard which seems to have gone well until I tried to add some component options. I added the option to change the width of the cupboard but the units do not add up. The width should be 700mm but the actual size is coming out at 201.7mm? LenY and LenZ are also wrong.
I can't make any sense of the sizes in terms of any possible metric to imperial conversions.
Can anyone help?
ThanksI used the calulator for finding scale factor ratio.... then I resized his cupboard.... then I was done
-
RE: [Plugin] scaleGroupFloat_dj Ver 1.6.5 Feb 15, 2013
Update
Re: [Plugin] scaleGroupFloat_dj Ver 1.1v1.01 May 27
-fix move iteration problem
-added a switch to group listing
-add group dimension read out
-reconfig doccuments and read outs- fix unts control system
-
RE: [Plugin] Another Sketchup Plus update v1.5.4 Dec 29 2012
'edit in place'
Went to their web site and copy their decription
by dukejazz on May May 21, 2012 8:39 pm
May 23 full decription
Click Here to view a quick YouTube video of EditInPlace.EditInPlace is a Google SketchUp plugin that lets you edit (modify) components and groups in a separate Google SketchUp instance.
EditInPlace overcomes one of Google SketchUp's biggest limitations - the clipping plane which prevents you from effectively editing small components in large models. It is a time saver for SU Podium users who need to add properties to materials that are hard to find in large models.
I not and expert on their program
Your place is the same Place I when too (I google it.to see what you ment by 'edit in place')
by dukejazz on May May 21, 2012 8:39 pm
http://www.suplugins.com/edit.phpThen I view their small quick YouTube video of EditInPlace.
by dukejazz on May May 21, 2012 8:39 pmMy development came from my tips
http://forums.sketchucation.com/viewtopic.php?f=79&t=40254
Tips about running more than one Sketchup
by dukejazz on Thu Sep 22, 2011 1:17 am5 tips about running more than one sketchup
Tip 1) Run and do more with sketchup
You can run more than one sketchup programs at the same time.
Just hit your shortcut key twice and find out.Tip 2) Cut and paste or paste in place
a) You can cut and past between between same levels of sketchup programs. 8-8 7-7 6-6
b) There are some copy programs that can copy many levels of copys with sketchup (25 level+ or more) M8 Free Multi Clipboard: Free Clip, Spartan Trial UpgradeTip 3) Use each sketchup for different task
Use one for laying out and other for creating the object.Tip 4) Toolbars behavior
a) Remembers the last program exited is how the toolbars will look when you restart.
b) Common view can be saved by saving view - toolbar - saving toolbar positions.Tip 5) Can use more plug-ins folders
a) By copying sketckup 8 to another location, you can load more plugins.
b) Also a empty plug-in folder is a great viewer
c) For zone testing for new downloaded plug-ins(hint)
a) When copy is completed, make a new shortcut (sketchup2) to new sketchup.exe.
b) Load new plugins with a ruby toolbar.
c) Clean your registers, when needed.All of this will help to over come the overloading of gray outs and bug splat.
(6 tips) for a better sketchup 8 m2...........pg 2
I made a plugin to make you life easier to control another sketchup
my tips that I posted here as help me to write this plugin.History of the plugin
[plugin] Another_Sketchup v1.0 Dec 28 2011
[plugin] Another_Sketchup v1.1 Jan 18 2012
[plugin] Another_Sketchup plus v1.2 Jan 31 2012
[plugin] Another_Sketchup plus v1.2.1 feb 2 2012(14 tips ) Sketchup noted Hints: by dukejazz in the making of Another Sketchup Plus ...........pg 2
My latest changes are user request to fit their needs.
Podium guys direction is a rendering Editor: for materials properties
Mine is a Project Editor: for engineers (red line note pad).I see you have a MAC
I can set up a ver that paste only if you want.
I here to help.
-dukejazz
Download:
v 1.3 MAC bata
Let me know, if this works for you. -
RE: [Plugin] Another Sketchup Plus update v1.5.4 Dec 29 2012
is this like 'edit in place' plugin from the podium guys?
by cmeed on Mon May 21, 2012 1:02 am'edit in place'
EditInPlace is a Google SketchUp plugin that lets you edit (modify) components and groups in a separate Google SketchUp instance.Went to their web site today and copy their decription above.
by dukejazz on May May 21, 2012 8:39 pmI not sure
I would say no
Mine has more functions and is a platform
Mine is like a 3 function mouse to their one fuction mouse.
Their work with auto paste in place back for the MAC and Pc
My manual paste in place coded dosn't work on MACI use the functions of API to run another Google SketchUp instance.
Started my develpment in dec 2011 indepentantly with out referance to podium guys?paste in place method _____________________________________
Reference helped by CadFather
cd_standard.rb on Fri May 22, 2009 toolbars structure and paste in place codedNeed a movie
by guanjin on Mon Mar 12, 2012 12:12 am
by Edson on Sun May 20, 2012 7:36 am
by cmeed on Mon May 21, 2012 1:02 amWIP
by dukejazz on May May 21, 2012 8:39 pmMy outline of my movie to come and the plugin another sketchup plus functionality:
What is this plugin about, its a
Project platform Editor: ( with plugins management and pasting tools )
- Auto loads another sketchup with clipboard information.... Gives easy power functionality actions, to the editing of sketchup models, objects, or entities;... The objects can be pull out to a child sketchup and return back to illustrations detail to main project when done.
-Help the loading of ruby scripts plug-ins. With ruby repeater installer, you can load plug-in scripts from main pulgin ... when you need them, ..... This gives you more than a 1000's chose's to choose from.
-You can also reinstall plug-ins (in and out with hide/unhide method) by the brower .... then sending all objects to another sketchup will flushes all ruby in console out when new child sketchup starts......now you can do more ..... and manage gray outs memory limits.
- Pasting tools I provide here are these paste in place, Duplicate, repaste, cpoint axes and clipboard cleaner
-
RE: [Plugin] Another Sketchup v1.6.1 Feb 19 2013
update
Another_Sketchup Ver. 1.3fix messagebox hand shake problem has been removed
rename some features to a better fitting names
full functions context_menu
uses the plus sys engin